org.eclipse.wst.jsdt.chromium.wip

## Interface PermanentRemoteValueMapping

All Superinterfaces:
  RemoteValueMapping

    public interface PermanentRemoteValueMapping
    extends RemoteValueMapping

A `RemoteValueMapping` that outlives suspend/resume cycle of debugger. It represents both remote pointer table and local property caches. The remote table should be explicitly deleted when the mapping is no longer used. The table has a unique id.

### Method Summary

All Methods Instance Methods Abstract Methods
`RelayOk` `delete(GenericCallback<java.lang.Void> callback, SyncCallback syncCallback)` Asynchronously deletes mapping on remote VM.
`JsEvaluateContext` `getEvaluateContext()` Returns `JsEvaluateContext` that is tied with this `RemoteValueMapping`.
`java.lang.String` `getId()`

### Methods inherited from interface org.eclipse.wst.jsdt.chromium.RemoteValueMapping

`clearCaches`

### Method Detail

#### getId

    java.lang.String getId()

#### delete

    RelayOk delete(GenericCallback<java.lang.Void> callback,
                   SyncCallback syncCallback)

Asynchronously deletes mapping on remote VM. No values from this `RemoteValueMapping` must be used after this call.

#### getEvaluateContext

    JsEvaluateContext getEvaluateContext()

Returns `JsEvaluateContext` that is tied with this `RemoteValueMapping`. By default all evaluate result values will use this `RemoteValueMapping`. (This can be overriden by `EvaluateToMappingExtension`).